Subject: [RFC] P9 ldmx support

From: Jack Miller <[email-masked]>
Date: Mon, 11 Apr 2016 13:57:42 -0500

All -

These are patches based on next to support the forthcoming ldmx instruction
through the existing P8 EBB infrastructure. Obviously it doesn't actually
*work* without some other patches and a P9 system, but with the context
switch change to FSCR it makes sense to get this upstream for testing ASAP.

The first patch context switches FSCR per thread so that the second patch can
lazily enable this feature (FSCR.LM) with a facility unavailable exception
and context switch two new ldmx registers (LMRR / LMSER) per thread as well.
Third patch is a couple of basic tests.

Any comments welcome.

- Jack